RT Error Anyone Help

hi
Thanks for the pointers.
Now when I run fixdeps I get the following and I think
my problem revolves around this. Any idea how to solve
? I haven’t built mod_perl or or apache at any stage,
versions are rpms -

mod_perl-2.0.1-1.fc4
perl-5.8.6-22

and the
Tree-Simple-1.16

though a working box has the same rpm versions but
Tree-Simple-1.15…
Can I force a download and compile of 1-15 ?

Tried to use ‘Tree::Simple’.

Error: Weak references are not implemented in

the version of perl at
/root/.cpan/build/Tree-Simple-1.16/blib/lib/Tree/Simple.pm
line 11

BEGIN failed–compilation aborted at

t/16_Tree_Simple_width_test.t line 9.

Compilation failed in require at (eval 3) line 2.

BEGIN failed–compilation aborted at (eval 3) line

Can’t locate object method “new” via package
"Tree::Simple" at t/16_Tree_Simple_width_test.t line
15.

Looks like you planned 77 tests but only ran 1.

Looks like you failed 1 test of 1 run.

Looks like your test died just after 1.

t/16_Tree_Simple_width_test…dubious
Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 1-77
Failed 77/77 tests, 0.00% okay
t/20_Tree_Simple_Visitor_test…ok 1/37Weak
references are not implemented in the version of perl
at
/root/.cpan/build/Tree-Simple-1.16/blib/lib/Tree/Simple.pm
line 11
BEGIN failed–compilation aborted at
/root/.cpan/build/Tree-Simple-1.16/blib/lib/Tree/Simple.pm
line 11.
Compilation failed in require at
t/20_Tree_Simple_Visitor_test.t line 13.
BEGIN failed–compilation aborted at
t/20_Tree_Simple_Visitor_test.t line 13.

Looks like you planned 37 tests but only ran 1.

Looks like your test died just after 1.

Yahoo! Photos – NEW, now offering a quality print service from just 8p a photo http://uk.photos.yahoo.com

hi
Thanks for the pointers.
Now when I run fixdeps I get the following and I think
my problem revolves around this. Any idea how to solve
? I haven’t built mod_perl or or apache at any stage,
versions are rpms -

mod_perl-2.0.1-1.fc4
perl-5.8.6-22

and the
Tree-Simple-1.16

though a working box has the same rpm versions but
Tree-Simple-1.15…
Can I force a download and compile of 1-15 ?
No, you can’t. Fix your perl installation first. You need Scalar::Util
module compiled with ‘weaken’ functions.

Tried to use ‘Tree::Simple’.

Error: Weak references are not implemented in

the version of perl at
[snip]

Best regards, Ruslan.